Subject: [rtcweb] FW: BUNDLE DISCUSION Q8 (NEW): SDP 'bundle-only' attribute

From: Christer Holmberg <[email-masked]>
Date: Fri, 30 Aug 2013 13:51:06 +0000

FYI,

If you're an SDP-, BUNDLE- and/or UP loving rtcwebist, you may be interested in this discussion on the MMUSIC list. Please send any possible comments and input to that list, to avoid cross-posting.

Regards,

Christer

From: [email-masked] [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: 30. elokuuta 2013 16:48
To: [email-masked]
Subject: [MMUSIC] BUNDLE DISCUSION Q8 (NEW): SDP 'bundle-only' attribute

Hi,

I started to draft some text for the definition of the SDP 'bundle-only' attribute (my assumption is that it will be defined in draft-bundle).

Note that, at this point, I don't suggest any normative text regarding the usage of port zero in the SDP Offer, as we are still discussing that (the outcome of that discussion may affect at least the last paragraph in section x.2.1.).

Also note that I don't say anything about in which "scope/context" (webrtc etc) the usage of the attribute is allowed.

So, leaving the usage of port zero, and the scope question, aside for the moment, please take a look and indicate whether you have any issues (at this point, I ask you to focus on the technical stuff - and stuff which is unclear) with the text :)

Regards,

Christer

--------------------------

X.  SDP 'bundle-only' attribute

X.1.  General

This section defines a new SDP media-level attribute, 'bundle-only'. The attribute
is used, in an SDP Offer, to indicate that an "m=" line, to which the attribute
has been assigned, is only to be accepted by the Answerer if the Answerer keeps
the "m=" line within the BUNDLE group to which the "m=" line is associated in the
SDP Offer.

X.2.  SDP Offer/Answer Procedures

X.2.1.  SDP Offer Procedures

When an Offerer sends an SDP Offer, which contains a BUNDLE group, it can assign the
SDP 'bundle-only' attribute to an "m=" line associated with the BUNDLE group,
in order to request that the Answerer only accepts the "m=" line if is kept within
the BUNDLE group to which the "m=" line is associated in the SDP Offer.

An Offerer MUST NOT assign the SDP 'bundle-only' attribute to an "m=" line that is not
associated with a BUNDLE group.

If an Offerer receives an SDP Answer where an "m=" line, to which it assigned an
'bundle-only' attribute in the associated Offer, has been removed from a BUNDLE group, but
has not been rejected ([ref-to-section- 6.5.2.]), the Offerer MUST send a new Offer, in which
it assigns a zero port value to the "m=" line.

X.2.2.  SDP Answerer Procedures

When an Answerer receives an SDP Offer ([ref-to-section- 6.5.]), the Answerer MAY choose
to remove an "m=" line out of a BUNDLE group ([ref-to-section- 6.5.2.]). If an SDP
'bundle-only' attribute has been assigned to such "m=" line, the Answerer MUST reject
the "m=" line, according to the procedures in Section 6.5.3.

An Answerer MUST NOT insert an SDP 'bundle-only' attribute in an SDP Answer.